Steffen
Moeller
steffen_moeller@gmx.de
Frank
Thomas
frank@thomas-alfeld.de
Eric
Myers
myers@spy-hill.net
2007
2008
University of California
&date;
&boinc;
1

# &boinc;

The BOINC core client program.

          &cmd_boinc;
          options

## DESCRIPTION

The BOINC "core client", &cmd_boinc;, is the heart of BOINC. It controls which project applications are run on your computer, downloading "Workunits" and uploading the "Result" files from completed tasks. &cmd_boinc; is usually run in the background, ideally as a daemon. It can then be controlled either by a graphical tool called the BOINC Manager, &man_boincmgr;, or a command-line tool called &man_boinccmd;, by means of Remote Proceedure Calls (RPCs) over port &rpc_port;.

The BOINC core client can be controlled by command-line options, configuration files, and environment variables. Standard usage is simply to start the client running in the background.

## OPTIONS

These command-line options for &cmd_boinc; can be used to control how BOINC is started. Once the client has started, you should use a separate program, (&man_boincmgr; or &man_boinccmd;) which communicates with it by means of Remote Proceedure Calls (RPCs).

`--help`

  show options

`--version`

  show version info

`--exit_when_idle`

  exit when there are no results

`--show_projects`

  show attached projects

`--detach_project URL`

  detach from a project

`--reset_project URL`

  reset (clear) a project

`--attach_project URL key`

  attach to a project

`--update_prefs URL`

  contact a project to update preferences

`--run_cpu_benchmarks`

  run the CPU benchmarks

`--check_all_logins`

  for idle detection, check remote logins too

`--allow_remote_gui_rpc`

  allow remote GUI RPC connections

`--gui_rpc_port port`

  port for GUI RPCs

`--redirectio`

  redirect stdout and stderr to log files

`--dir path`

  use given dir as BOINC home

`--no_gui_rpc`

  Omits creation of a socket as required for the remote control of the client. Consequently the client cannot be controlled by external tools like GUIs (&cmd_boincmgr; etc.) or the console command tool (&cmd_boinccmd;).

`--daemon`

  run as daemon

`--exit_before_start`

  exit right before starting a job

`--exit_after_finish`

  exit right after finishing a job

`--insecure`

  disable app sandboxing

`--launched_by_manager`

  core client was launched by Manager

`--run_by_updater`

  set by updater

## Access control for GUI RPC

By default the core client accepts GUI RPC connections only from programs on the same host, which means that any user on this host can control the core client.

## SEE ALSO

&man_boinccmd;, &man_boincmgr;

## COPYRIGHT

Copyright © 2007-2008 University of California.

Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.